module HQMF2
  # Class containing value set information
  class ValueSetHelper
    # rubocop:disable Metrics/LineLength
    VALUESET_MAP = {
      '2.16.840.1.113883.10.20.28.3.7' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.8' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.9' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.10' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.11' => { valueset_path: "./*/cda:participation[@typeCode='PRD']/cda:role[@classCode='MANU']/cda:playingDevice[@classCode='DEV']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.12' => { valueset_path: "./*/cda:participation[@typeCode='PRD']/cda:role[@classCode='MANU']/cda:playingDevice[@classCode='DEV']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.13' => { valueset_path: "./*/cda:participation[@typeCode='DEV']/cda:role[@classCode='MANU']/cda:playingDevice[@classCode='DEV']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.14' => { valueset_path: "./*/cda:participation[@typeCode='PRD']/cda:role[@classCode='MANU']/cda:playingDevice[@classCode='DEV']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.15' => { valueset_path: "./*/cda:participation[@typeCode='DEV']/cda:role[@classCode='MANU']/cda:playingDevice[@classCode='DEV']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.16' => { valueset_path: "./*/cda:participation[@typeCode='DEV']/cda:role[@classCode='MANU']/cda:playingDevice[@classCode='DEV']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.1' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.17' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.18' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.19' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.20' => { valueset_path: "./*/cda:outboundRelationship[@typeCode='CAUS']/cda:observationCriteria/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.21' => { valueset_path: "./*/cda:outboundRelationship[@typeCode='CAUS']/cda:observationCriteria/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.22' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.23' => { valueset_path: './*/cda:code', result_path: './*/cda:value' },
      '2.16.840.1.113883.10.20.28.3.24' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.26' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.27' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.5' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.28' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.29' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.30' => { valueset_path: './*/cda:code', result_path: './*/cda:value' },
      '2.16.840.1.113883.10.20.28.3.31' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.33' => { valueset_path: "./*/cda:outboundRelationship[@typeCode='CAUS' and @inversionInd='true']/cda:procedureCriteria/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.34' => { valueset_path: "./*/cda:outboundRelationship[@typeCode='CAUS']/cda:actCriteria/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.35' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.36' => { valueset_path: './*/cda:code', result_path: "./*/cda:outboundRelationship[@typeCode='REFR']//cda:code[@code='394617004']/../cda:value" },
      '2.16.840.1.113883.10.20.28.3.37' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.39' => { valueset_path: "./*/cda:outboundRelationship[@typeCode='CAUS']/cda:observationCriteria/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.40' => { valueset_path: "./*/cda:outboundRelationship[@typeCode='CAUS']/cda:observationCriteria/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.41' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.42' => { valueset_path: './*/cda:code', result_path: './*/cda:value' },
      '2.16.840.1.113883.10.20.28.3.43' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.44' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role/cda:playingMaterial[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.45' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='MANU']/cda:playingManufacturedMaterial[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.46' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='MANU']/cda:playingEntity[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.47' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='MANU']/cda:playingEntity[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.48' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='MANU']/cda:playingManufacturedMaterial[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.49' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='MANU']/cda:playingMaterial[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.50' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='MANU']/cda:playingMaterial[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.51' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='MANU']/cda:playingMaterial[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.52' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.53' => { valueset_path: './*/cda:code', result_path: './*/cda:value' },
      '2.16.840.1.113883.10.20.28.3.6' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.54' => { valueset_path: nil, result_path: nil },
      '2.16.840.1.113883.10.20.28.3.56' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.57' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.58' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.59' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.55' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.86' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.61' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.62' => { valueset_path: './*/cda:value', result_path: "./*/cda:outboundRelationship[@typeCode='REFR']//cda:code[@code='394617004']/../cda:value" },
      '2.16.840.1.113883.10.20.28.3.63' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.64' => { valueset_path: "./*/cda:outboundRelationship[@typeCode='CAUS' and @inversionInd='true']/cda:procedureCriteria/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.65' => { valueset_path: "./*/cda:outboundRelationship[@typeCode='CAUS' and @inversionInd='true']/cda:procedureCriteria/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.66' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.67' => { valueset_path: './*/cda:code', result_path: "./*/cda:outboundRelationship[@typeCode='REFR']//cda:code[@code='394617004']/../cda:value" },
      '2.16.840.1.113883.10.20.28.3.68' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.70' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.71' => { valueset_path: "./*/cda:participation/cda:role[@classCode='ASSIGNED']/cda:playingDevice[@classCode='DEV' and @determinerCode='KIND']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.87' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.72' => { valueset_path: './*/cda:code', result_path: './*/cda:value' },
      '2.16.840.1.113883.10.20.28.3.93' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.73' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='ADMM']/cda:playingMaterial[@classCode='MAT' and @determinerCode='KIND']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.74' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='ADMM']/cda:playingMaterial[@classCode='MAT' and @determinerCode='KIND']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.75' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='ADMM']/cda:playingMaterial[@classCode='MAT' and @determinerCode='KIND']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.76' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='ADMM']/cda:playingMaterial[@classCode='MAT' and @determinerCode='KIND']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.77' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='ADMM']/cda:playingMaterial[@classCode='MAT' and @determinerCode='KIND']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.78' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='MANU']/cda:playingMaterial[@classCode='MMAT' and @determinerCode='KIND']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.79' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.80' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.81' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.82' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.84' => { valueset_path: "./*/cda:participation[@typeCode='ORG']/cda:role[@classCode='LOCE']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.85' => { valueset_path: "./*/cda:participation[@typeCode='ORG']/cda:role[@classCode='LOCE']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.110' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.111' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.112' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role/cda:playingManufacturedMaterial[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.113' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role/cda:playingManufacturedMaterial[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.114' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role/cda:playingEntity[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.115' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role/cda:playingMaterial[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.116' => { valueset_path: './*/cda:value', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.117' => { valueset_path: './*/cda:code', result_path: './*/cda:value' },
      '2.16.840.1.113883.10.20.28.3.118' => { valueset_path: './*/cda:code', result_path: nil },
      '2.16.840.1.113883.10.20.28.3.119' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='MANU']/cda:playingEntity[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.120' => { valueset_path: "./*/cda:participation[@typeCode='CSM']/cda:role[@classCode='MANU']/cda:playingEntity[@classCode='MMAT']/cda:code", result_path: nil },
      '2.16.840.1.113883.10.20.28.3.130' => { valueset_path: './*/cda:value', result_path: nil }
    }
    # rubocop:enable Metrics/LineLength

    def self.get_mapping_for_template(template)
      VALUESET_MAP[template]
    end
  end
end
